import { Input, View } from "@tarojs/components"
import { useRef, useState } from "react"
import styles from "./index.module.scss"
type params = {
    minNum?: number,
    maxNum?: number,
    step?: number
}
export default ({minNum = 0, maxNum = 100, step=0.1}: params) => {
    const [count, setCount] = useState(0)

    const onPlus = () => {
        let num = count + step
        num = num >= maxNum?maxNum:num
        setCount(num)
    }
    const minus = () => {
        let num = count - step
        num = num <= minNum?minNum:num
        setCount(num)
    }
    return (
        <View className={styles.main}>
            <View className={styles.reduce} onClick={() => minus()}>-</View>
            <View className={styles.input}>
                <Input 
                    value={String(count)}
                    onInput={() => {}}
                    onBlur={() => {}}
                />
                <View className={styles.unit}>米</View>
            </View>
            <View className={styles.plus} onClick={() => onPlus()}>+</View>
        </View>
    )
}